from django.views.decorators.http import require_http_methods

from backend.Service.MinioService import MinioService


@require_http_methods(['POST'])
def post(reqeust):
    return MinioService.post(reqeust)

@require_http_methods(['POST'])
def nameGetUrl(reqeust):
    return MinioService.nameGetUrl(reqeust)

@require_http_methods(['POST'])
def deleteFile(reqeust):
    return MinioService.deleteFile(reqeust)

@require_http_methods(['POST'])
def listBuckets(reqeust):
    return MinioService.listBuckets(reqeust)

@require_http_methods(['POST'])
def createBucket(reqeust):
    return MinioService.createBucket(reqeust)

@require_http_methods(['POST'])
def getBucketContents(reqeust):
    return MinioService.getBucketContents(reqeust)

@require_http_methods(['POST'])
def renameFile(reqeust):
    return MinioService.renameFile(reqeust)

@require_http_methods(['POST'])
def deleteBucket(reqeust):
    return MinioService.deleteBucket(reqeust)

@require_http_methods(['POST'])
def readPdfSlice(reqeust):
    return MinioService.readPdfSlice(reqeust)
